glibmm 2.41.1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Examples

New API in glibmm 2.20

Member Gio::AppInfo::can_delete () const
  Returns
    `true` if appinfo can be deleted.
Member Gio::AppInfo::do_delete ()
  Returns
    `true` if appinfo has been deleted.
Member Gio::AppInfo::get_commandline () const
  Returns
    A string containing the appinfo's commandline, or `0` if this information is not available.
Member Gio::AppInfo::reset_type_associations (const std::string& content_type)
  Parameters

    content_type | A content type.

Member Gio::content_type_from_mime_type (const Glib::ustring& mime_type)
Member Gio::Drive::signal_changed ()
Member Gio::Drive::signal_disconnected ()
Member Gio::Drive::signal_eject_button ()
Class Gio::Emblem
Class Gio::EmblemedIcon
Member Gio::Icon::to_string () const
  Returns
    An allocated NUL-terminated UTF8 string or `0` if icon can't be serialized. Use Glib::free() to free.
Class Gio::MemoryOutputStream
Member Gio::Mount::is_shadowed () const
  Returns
    `true` if mount is shadowed.
Member Gio::Mount::shadow ()
Member Gio::Mount::unshadow ()
Member Gio::MountOperation::signal_aborted ()
Member Gio::UnixInputStream::get_close_fd () const
  Returns
    `true` if the file descriptor is closed when done.
Member Gio::UnixInputStream::get_fd () const
  Returns
    The file descriptor of stream.
Member Gio::UnixInputStream::set_close_fd (bool close_fd=true)
  Parameters

    close_fd | `true` to close the file descriptor when done.

Member Gio::UnixOutputStream::get_close_fd () const
  Returns
    `true` if the file descriptor is closed when done.
Member Gio::UnixOutputStream::get_fd () const
  Returns
    The file descriptor of stream.
Member Gio::UnixOutputStream::set_close_fd (bool close_fd=true)
  Parameters

    close_fd | `true` to close the file descriptor when done.